cURL
curl --request POST \
--url https://api.tilt.io/api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/backtests/ \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"rebalance_period": "MONTHLY",
"tax_gamma": 50,
"tax_loss_threshold_bps": 2500,
"starting_nav": 500000050
}
'import requests
url = "https://api.tilt.io/api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/backtests/"
payload = {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"rebalance_period": "MONTHLY",
"tax_gamma": 50,
"tax_loss_threshold_bps": 2500,
"starting_nav": 500000050
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_date: '2023-12-25',
end_date: '2023-12-25',
rebalance_period: 'MONTHLY',
tax_gamma: 50,
tax_loss_threshold_bps: 2500,
starting_nav: 500000050
})
};
fetch('https://api.tilt.io/api/v1/custom/org/{organization_uuid}/clients/{client_uuid}/accounts/{account_uuid}/backtests/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"params": {
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"rebalance_period": "MONTHLY",
"tax_gamma": 50,
"tax_loss_threshold_bps": 2500,
"starting_nav": 500000050
},
"result": {},
"error_message": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}Backtesting
Create Account Backtest
Start a new backtest job for a client
POST
/
api
/
v1
/
custom
/
org
/
{organization_uuid}
/
clients
/
{client_uuid}
/
accounts
/
{account_uuid}
/
backtests
/
cURL
Authorizations
Path Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
MONTHLY- MONTHLY
Available options:
MONTHLY Required range:
0 <= x <= 100Required range:
0 <= x <= 5000Required range:
100 <= x <= 1000000000Response
202 - application/json
PENDING- PENDINGRUNNING- RUNNINGSUCCESS- SUCCESSFAILURE- FAILURE
Available options:
PENDING, RUNNING, SUCCESS, FAILURE Show child attributes
Show child attributes
Dictionary mapping case names to case results
Show child attributes
Show child attributes
⌘I